MSP430™CapTIvateSoftwareLibraryAPIGuide 1_70_00_03

Functions | Variables
CAPT_ISR

CapTIvate™ peripheral interrupt service routine. More...

## Functions
__interrupt void | CAPT_ISR (void)
| CAPT_ISR is the Captivate peripheral interrupt service routine. More...

## Variables
volatile bool | g_bEndOfConversionFlag
volatile bool | g_bDetectionFlag
volatile bool | g_bConvTimerFlag
volatile bool | g_bConvCounterFlag
volatile bool | g_bMaxCountErrorFlag

## Detailed Description

CapTIvate™ peripheral interrupt service routine.

The ISR serves to set status flags that may be used by the application. The CapTIvate™ ISR always exits in CPU active mode.

Version
  VERSION Released on RELEASE_DATE

## Function Documentation

## § CAPT_ISR()

__interrupt void CAPT_ISR | ( | void |  | ) |

CAPT_ISR is the Captivate peripheral interrupt service routine.

References CAPT_getInterruptVector(), CAPT_IV_CONVERSION_COUNTER, CAPT_IV_DETECTION, CAPT_IV_END_OF_CONVERSION, CAPT_IV_MAX_COUNT_ERROR, CAPT_IV_TIMER, g_bConvCounterFlag, g_bConvTimerFlag, g_bDetectionFlag, g_bEndOfConversionFlag, and g_bMaxCountErrorFlag.

## Variable Documentation

## § g_bEndOfConversionFlag

volatile bool g_bEndOfConversionFlag

Referenced by CAPT_ISR().

## § g_bDetectionFlag

g_bDetectionFlag

This bool is set by the CapTIvate™ ISR when a detection interrupt occurs.

This bool is set by the Captivate ISR when a detection interrupt occurs.

Referenced by CAPT_ISR().

## § g_bConvTimerFlag

g_bConvTimerFlag

This bool is set by the CapTIvate™ timer when it is time to update (refresh) the user interface.

This bool is set by the Captivate timer when it is time to update (refresh) the user interface.

Referenced by CAPT_ISR().

## § g_bConvCounterFlag

g_bConvCounterFlag

This bool is set by the CapTIvate™ ISR when a conversion counter interrupt occurs.

This bool is set by the Captivate ISR when a conversion counter interrupt occurs.

Referenced by CAPT_ISR().

## § g_bMaxCountErrorFlag

g_bMaxCountErrorFlag

This bool is set by the CapTIvate™ ISR when a maximum count error interrupt occurs.

This bool is set by the Captivate ISR when a maximum count error interrupt occurs.

Referenced by CAPT_ISR().

© Copyright 1995-2018, Texas Instruments Incorporated. All rights reserved.
Trademarks | Privacy policy | Terms of use | Terms of sale